package com.example.rpobnic;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

import retrofit2.Call;
import retrofit2.Callback;
import retrofit2.Response;
import retrofit2.Retrofit;
import retrofit2.converter.gson.GsonConverterFactory;

public class MainActivity extends AppCompatActivity {

    EditText loginr, passwordr;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        loginr=findViewById(R.id.login);
        passwordr=findViewById(R.id.password);
    }
    public void perehodgos(View v)
    {
        Intent intent=new Intent(this,pokazgost.class);
        startActivity(intent);
    }

   public void Login(View v){

        String login=String.valueOf(loginr.getText());
       String password=String.valueOf(passwordr.getText());
        Retrofit retrofit=new Retrofit.Builder()
                .baseUrl("https://ngknn.ru:5001/NGKNN/%D0%A2%D1%80%D0%B8%D1%84%D0%BE%D0%BD%D0%BE%D0%B2%D0%B0%D0%90%D0%A0/api/")
                .addConverterFactory(GsonConverterFactory.create())
                .build();
        RetrofitAPI retrofitAPI=retrofit.create(RetrofitAPI.class);
        Call<ModalUser> call= retrofitAPI.Login(login,password);
        call.enqueue(new Callback<ModalUser>() {
            @Override
            public void onResponse(Call<ModalUser> call, Response<ModalUser> response) {
                if(!response.isSuccessful())
                {
                    Toast.makeText(MainActivity.this, "Произошла ошибка", Toast.LENGTH_SHORT).show();
                }

                if(response.body()!=null)
                {
                    Intent intent=new Intent(MainActivity.this,pokaz.class);
                    intent.putExtra("key",response.body().getLogin());
                    startActivity(intent);
                }
                else
                {
                    Toast.makeText(MainActivity.this, "Такого пользователя с логином и паролем нету", Toast.LENGTH_SHORT).show();
                }
            }

            @Override
            public void onFailure(Call<ModalUser> call, Throwable t) {
                Toast.makeText(MainActivity.this, "Произошла ошибка", Toast.LENGTH_SHORT).show();
            }
        });
   }

}