package com.example.rpobnic;

import androidx.appcompat.app.AppCompatActivity;

import android.os.AsyncTask;
import android.os.Bundle;
import android.widget.ListView;
import android.widget.TextView;

import org.json.JSONArray;
import org.json.JSONObject;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;

public class pokaz extends AppCompatActivity {

    private Adapter adapter;
    List<Maska> maskas=new ArrayList<>();
    TextView nicne;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_pokaz);
        ListView listView=findViewById(R.id.listKiNO);
        adapter=new Adapter(pokaz.this,maskas);
        listView.setAdapter(adapter);
        nicne=findViewById(R.id.Nic);
        Bundle arguments = getIntent().getExtras();
        String nicnam= arguments.getString("key");
        nicne.setText(nicnam);


        new GetKino().execute();
    }

    private class GetKino extends AsyncTask<Void,Void,String>
    {

        @Override
        protected String doInBackground(Void... voids) {
            try {
                URL url=new URL("https://ngknn.ru:5001/NGKNN/%D0%A2%D1%80%D0%B8%D1%84%D0%BE%D0%BD%D0%BE%D0%B2%D0%B0%D0%90%D0%A0/api/KinoAndSerials");
                HttpURLConnection connection=(HttpURLConnection) url.openConnection();
                BufferedReader reader= new BufferedReader(new InputStreamReader(connection.getInputStream()));
                StringBuffer rez=new StringBuffer();
                String line="";
                while ((line=reader.readLine())!=null)
                {
                    rez.append(line);
                }
                return rez.toString();
            } catch (Exception e) {
                return null;
            }

        }

        @Override
        protected void onPostExecute(String s) {
            super.onPostExecute(s);
            try {
                JSONArray tem=new JSONArray(s);
                for (int i=0;i<tem.length();i++)
                {
                    JSONObject te=tem.getJSONObject(i);
                    Maska pr=new Maska(
                            te.getInt("IdKinoAndSerial"),
                            te.getString("Name"),
                            te.getString("idCountry"),
                            te.getInt("YearKinoAndSerial"),
                            te.getString("TimeKinoAndSerial"),
                            te.getString("OKinoAndSerial"),
                            te.getString("PhotoKinoAndSerial"),
                            te.getString("OsnovnoeGanr")
                    );
                    maskas.add(pr);
                    adapter.notifyDataSetChanged();
                }
            } catch (Exception e) {

            }
        }
    }


}