package com.example.rpobnic;

import androidx.appcompat.app.AppCompatActivity;

import android.os.AsyncTask;
import android.os.Bundle;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.Spinner;

import com.google.gson.JsonObject;

import org.json.JSONArray;
import org.json.JSONObject;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.ArrayList;
import java.util.List;

public class pokazgost extends AppCompatActivity {

    private Adapter adapter;
    List<Maska> maskaList=new ArrayList<>();
    Spinner filter;
    String [] filt={"Без изменений","изменения"};
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_pokazgost);
       ListView listView=findViewById(R.id.listKINO);
       adapter=new Adapter(pokazgost.this,maskaList);
       listView.setAdapter(adapter);
        ArrayAdapter<String> hf=new ArrayAdapter<>(this, android.R.layout.simple_spinner_item,filt);
        hf.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item);

        filter=findViewById(R.id.nazvaniie);
        filter.setAdapter(hf);

       new getKino().execute();
    }

  private class getKino extends AsyncTask<Void,Void,String>
  {

      @Override
      protected String doInBackground(Void... voids) {
          try {
              URL url=new URL("https://ngknn.ru:5001/NGKNN/%D0%A2%D1%80%D0%B8%D1%84%D0%BE%D0%BD%D0%BE%D0%B2%D0%B0%D0%90%D0%A0/api/KinoAndSerials");
              HttpURLConnection connection=(HttpURLConnection) url.openConnection();
              BufferedReader reader=new BufferedReader(new InputStreamReader(connection.getInputStream()));
              StringBuffer result=new StringBuffer();
              String line="";
              while ((line=reader.readLine())!=null)
              {
                  result.append(line);
              }

              return  result.toString();

          } catch (Exception e) {
             return null;
          }
      }

      @Override
      protected void onPostExecute(String s) {
          super.onPostExecute(s);
          try {
              JSONArray temper =new JSONArray(s);
              for (int i=0;i<temper.length();i++)
              {
                  JSONObject tem=temper.getJSONObject(i);
                  Maska pt=new Maska(
                          tem.getInt("IdKinoAndSerial"),
                          tem.getString("Name"),
                          tem.getString("idCountry"),
                          tem.getInt("YearKinoAndSerial"),
                          tem.getString("TimeKinoAndSerial"),
                          tem.getString("OKinoAndSerial"),
                          tem.getString("PhotoKinoAndSerial"),
                          tem.getString("OsnovnoeGanr")
                  );
                  maskaList.add(pt);
                  adapter.notifyDataSetChanged();
              }

          } catch (Exception e) {

          }
      }
  }
}